/* ========================================
 *  ClipSoftly - ClipSoftly.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "ClipSoftly.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::ClipSoftly {

ClipSoftly::ClipSoftly()
{
	lastSampleL = 0.0;
	lastSampleR = 0.0;
	for (int x = 0; x < 16; x++) {intermediateL[x] = 0.0; intermediateR[x] = 0.0;}
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int ClipSoftly::getParameterCount() const
{
	return kNumParameters;
}

void ClipSoftly::setParameter(int index, float value) {
}

float ClipSoftly::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void ClipSoftly::getParameterName(int index, char *text) {
}

void ClipSoftly::getParameterDisplay(int index, char *text) {
}

void ClipSoftly::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
